- Fluid Reference Documentation
- Fluid 1.0.0

# Elevation QML Type

Material Design elevation effect. More...

Import Statement: | import Fluid.Effects 1.0

- List of all members, including inherited members

## Properties

- elevation : int
- fullHeight : bool
- fullWidth : bool
- source : var

## Detailed Description

An effect for standard Material Design elevation shadows. Useful for using as `layer.effect`.

## Property Documentation

elevation : int

The elevation of the source Item.

fullHeight : bool

Set to `true` if the source Item is the same height as its parent and the shadow should be full height instead of rounding around the corner of the Item.

See also fullWidth.

fullWidth : bool

Set to `true` if the source Item is the same width as its parent and the shadow should be full width instead of rounding around the corner of the Item.

See also fullHeight.

source : var

The source the effect is applied to.